Bug 49299 - FILEOPEN: ppt opens with wrong background color because of Recolor from MSO (PPTX fixed in 4.2)
Summary: FILEOPEN: ppt opens with wrong background color because of Recolor from MSO (...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:ppt
Depends on:
Blocks: Slide-Background
  Show dependency treegraph
 
Reported: 2012-04-30 06:37 UTC by sasha.libreoffice
Modified: 2021-04-19 08:58 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
ppt file containing slide with background (676.50 KB, application/vnd.ms-powerpoint)
2012-04-30 06:37 UTC, sasha.libreoffice
Details
another pptx example (250.77 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2012-09-13 10:18 UTC, sasha.libreoffice
Details
as previous, but ppt (838.00 KB, application/vnd.ms-powerpoint)
2012-09-13 10:20 UTC, sasha.libreoffice
Details
previous saved to pdf using msOffice 2007 (238.84 KB, application/pdf)
2012-09-13 10:22 UTC, sasha.libreoffice
Details
Recoloring the bg works only ppt (398.77 KB, image/jpeg)
2013-10-01 07:22 UTC, Zeki Bildirici
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2012-04-30 06:37:54 UTC
Created attachment 60787 [details]
ppt file containing slide with background

Problem with presentation in format ppt in Impress 
Attachment contains:
1 slide: some text on bottom. Slide contains background
2 slide: screenshot of first slide made in PP 2007 on Windows 7

Problem may be serious for users, because text is not readable on wrong background.

reproduced in 3.3.4 and 3.5.2 on Fedora 64 bit and Windows 7 32 bit
and in 3.4.2 on Windows XP
Comment 1 sasha.libreoffice 2012-09-13 10:18:20 UTC
Created attachment 67088 [details]
another pptx example
Comment 2 sasha.libreoffice 2012-09-13 10:20:50 UTC
Created attachment 67089 [details]
as previous, but ppt
Comment 3 sasha.libreoffice 2012-09-13 10:22:11 UTC
Created attachment 67090 [details]
previous saved to pdf using msOffice 2007
Comment 4 bfoman (inactive) 2012-10-16 12:46:52 UTC
Confirmed with:
LO 3.6.3.1 
Build ID: f8fce0b
Windows 7 Professional SP1 64 bit

NEW as confirmed with both files. In PP 2010 all good.
Comment 5 Zeki Bildirici 2013-10-01 07:22:47 UTC
Created attachment 86892 [details]
Recoloring the bg works only ppt

Seems like the background picture(a great view of sea and horizon) has a layer(probably o filter) over the picture.

In PP 2010, if you right  click the bg and click the Save Background, you may see the original bg. 

I don't know how the layer applied. Maybe gradient improvements will solve it as you may see in "background problem ppt" the resizing the layer(placed within two text boxes)LO can interact this layer limitedly 

Background problem pptx - No layer seen in LO

But in banckground color problem 

Recoloring(right click the bg - Format BG- Picture Color - Recolor in PP 2010) in PPT worked,- saving pptx does not work- but how the original layer came, i don't know. Please see the screenshot, recolored bg is identical.
Comment 6 A (Andy) 2015-03-26 20:05:52 UTC
Reproducible with LO 4.4.1.2, Win 8.1
Comment 7 tommy27 2016-04-16 07:23:30 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2017-05-22 13:23:31 UTC Comment hidden (obsolete)
Comment 9 Lars Jødal 2018-10-31 14:57:56 UTC
Using LO 6.1.2.1, the files behave differently for ppt and pptx.

ppt (attachment 60787 [details] and attachment 67089 [details]): The bug is present, LO shows the background without the yellow layer (?) that is seen in PP.

pptx (attachment 67088 [details]): The described bug is not present, LO shows the background as in PP. However, the text has lost its shadow.
Comment 10 QA Administrators 2019-11-01 03:36:50 UTC Comment hidden (obsolete)
Comment 11 Lars Jødal 2019-11-04 09:32:46 UTC
Using LO version 6.3.3.2, the results appear unchanged since comment 9. Some more details on what to expect:

attachment 60787 [details]: A .ppt file with two slides.
MS Powerpoint: Both slides have a background of a horizon over the sea and some kind of yellow filter applied, resulting in a yellow sea and horizon. In the foreground is a text in dark blue. The result may look a bit strange, but the blue text is clearly readable on the yellow background.
LO Impress: On the first slide, the yellow filter is lost. I.e., the sea and sky are both their natural blue colours, but the foreground text is hard to read. The second slide is as in MS Powerpoint.

attachment 67089 [details]: Another .ppt file with a single slide.
MS Powerpoint: A similar background - sea and sky with a yellow filter. Some Russian(?) foreground text with shadow. Some of the text is in red, the rest is in blue.
LO Impress: The yellow filter applies to the middle of the background but then fades out, leaving the top and bottom part of the background in natural blue.

attachment 67088 [details]: Appears to be the same as attachment 67089 [details], but as .pptx file.
MS Powerpoint: As above.
LO Impress: Text has lost shadow, otherwise as MS Powerpoint.

I have changed the Version (earliest affected) field from "3.3.4 release" to "Inherited from OOo". Version 3.3.0 had similar results as 3.3.4, and the current Apache OpenOffice (version 4.1.7) gives similar results as these early LO versions. 

I.e., the .ppt files appear to be handled similarly by all versions. The .pptx file is handled better by current LO than by early LO or by OpenOffice, but the text shadow is lost.
Comment 12 Timur 2021-04-19 08:36:30 UTC
PPT repro 7.2+. PPTX was resolved in 4.2.0 but not bibisectable in 42max.